Bug 465381 - Review Request: sugar-moon - Lunar Activity for the sugar desktop
Review Request: sugar-moon - Lunar Activity for the sugar desktop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon Schampijer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 20:48 EDT by Bryan Kearney
Modified: 2008-10-22 10:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 10:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
simon: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2008-10-02 20:48:09 EDT
Spec URL: http://bkearney.fedorapeople.org/sugar-moon.spec
SRPM URL: http://bkearney.fedorapeople.org/sugar-moon-7-1.fc10.src.rpm
Description: Moon activity for the sugar desktop

Builds in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=858272
One error in rpmlint: Empty File
One warning in rpmlint: non-standard-group Sugar/Activities

I am requesting sponsorship via anohter ticket. So it is a race condition between this ticket and that as to if I will require sponsorship.
Comment 1 Bryan Kearney 2008-10-13 09:31:05 EDT
A new version was release. I have updated the SRPMS basd on this. 

Spec URL: http://bkearney.fedorapeople.org/sugar-moon.spec
SRPM URL: http://bkearney.fedorapeople.org/sugar-moon-8-1.fc10.src.rpm
Description: Moon activity for the sugar desktop

Builds in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=877387
One warning in rpmlint: non-standard-group Sugar/Activities
Comment 2 Simon Schampijer 2008-10-14 07:05:14 EDT
Great, thanks for your work!

Some little things:

We do not need that:
%define sugaractivitydir /usr/share/sugar/activities/
%define sugarlibdir %{_libdir}/sugar/activities

The License is GPLv2+
License: GPLv2+

A visual nitpick, I think you do not need the tabs at the header, example:

Name: sugar-moon
Version: 8
Release: 1%{?dist}
Summary: Moon phases activity for sugar

Group:  Sugar/Activities
License: GPLv2+
BuildArch: noarch
URL: http://wiki.laptop.org/go/Moon

here you should add your email address:
* Mon Oct 13 2008 Bryan Kearney <email address> - 8-1

The warning is fine.
Comment 3 Bryan Kearney 2008-10-14 08:49:10 EDT
Thank you for reviewing. I have made the updates you suggested. You may find them at:

Spec URL: http://bkearney.fedorapeople.org/sugar-moon.spec
SRPM URL: http://bkearney.fedorapeople.org/sugar-moon-8-2.fc10.src.rpm
Build in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=879992

rpmlint still gives warnings (assumed acceptable)

[bkearney@localhost sugar-moon]$ rpmlint *.rpm
sugar-moon.noarch: W: non-standard-group Sugar/Activities
sugar-moon.src: W: non-standard-group Sugar/Activities
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 4 Simon Schampijer 2008-10-14 09:48:28 EDT
Ok looks good. The warnings are ok. Please follow the procedure to request cvs described here http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 5 Bryan Kearney 2008-10-14 14:40:05 EDT
New Package CVS Request
=======================
Package Name: sugar-moon
Short Description: Moon activity for the sugar desktop
Owners: bkearney
Branches: F-10
InitialCC: None
Comment 6 Huzaifa S. Sidhpurwala 2008-10-15 06:02:59 EDT
You dont seem to be sponsored yet.
Setting the sponsor flag.
Comment 7 Toshio Ernie Kuratomi 2008-10-15 13:00:19 EDT
Note: As a RH employee, I think you can talk to spot about getting sponsored into packager.
Comment 8 Bryan Kearney 2008-10-15 15:30:30 EDT
I have been sponsored. Copying CVS Request:

New Package CVS Request
=======================
Package Name: sugar-moon
Short Description: Moon activity for the sugar desktop
Owners: bkearney
Branches: F-10
InitialCC: None
Comment 9 Kevin Fenzi 2008-10-15 18:00:57 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.